netatalk 4.5.0
Free and Open Source Apple Filing Protocol (AFP) Server
Loading...
Searching...
No Matches
aecho.c File Reference
`#include <sys/types.h>`
`#include <sys/param.h>`
`#include <sys/socket.h>`
`#include <sys/time.h>`
`#include <errno.h>`
`#include <netdb.h>`
`#include <signal.h>`
`#include <stdio.h>`
`#include <stdlib.h>`
`#include <string.h>`
`#include <netatalk/at.h>`
`#include <atalk/compat.h>`
`#include <atalk/aep.h>`
`#include <atalk/nbp.h>`
`#include <atalk/netddp.h>`
`#include <atalk/ddp.h>`
`#include <atalk/util.h>`

## Macros
#define | SOCKLEN_T unsigned int

## Functions
static void | usage (char *)
static void | done (int sig)
static void | aep_send (int sig)
int | main (int ac, char **av)

## Variables
static struct sockaddr_at | target
static int | sock
static unsigned int | nsent = 0
static unsigned int | nrecv = 0
static time_t | totalms = 0
static time_t | minms = -1
static time_t | maxms = -1
static unsigned int | pings = 0

## Detailed Description

AppleTalk Echo Protocol Client

## Macro Definition Documentation

## ◆ SOCKLEN_T

#define SOCKLEN_T unsigned int

## Function Documentation

## ◆ aep_send()

void aep_send | ( | int | sig | ) |
| static

## ◆ done()

void done | ( | int | sig | ) |
| static

## ◆ main()

int main | ( | int | ac,
|  | char ** | av )

## ◆ usage()

void usage | ( | char * | av0 | ) |
| static

## Variable Documentation

## ◆ maxms

time_t maxms = -1
| static

## ◆ minms

time_t minms = -1
| static

## ◆ nrecv

unsigned int nrecv = 0
| static

## ◆ nsent

unsigned int nsent = 0
| static

## ◆ pings

unsigned int pings = 0
| static

## ◆ sock

int sock
| static

## ◆ target

struct sockaddr_at target
| static

## ◆ totalms

time_t totalms = 0
| static